Create a task

Creates a task in the project. Requires Manage tasks admin right. Keep in mind, that initial_tm_leverage attribute will be empty in server response. It's being calculated after the task is created and this process may take some time.

Requires write_tasks OAuth access scope.

Path Params
string
required

A unique project identifier

string
required

Branch name

Body Params
string
required

Task title.

string

Brief task description. Used as instructions for AI in automatic_translation and lqa_by_ai task types.

string

Due date in Y-m-d H:i:s format. Example: "2024-12-24 23:59:59"

keys
array of strings

List of keys identifiers, included in task. Required if parent_task_id is not specified

keys
languages
array of objects

List of languages in the task. For automatic_translation and lqa_by_ai task types, unsupported languages will be ignored and returned in skipped_languages in the response.

languages
string

Source language code for the task. Falls back to project base language if not provided.

boolean

Whether languages should be closed automatically upon completion of the last item. Must be true or omit the property for automatic_translation and lqa_by_ai task types.

boolean

Whether the task should be automatically closed upon all language completion. Must be true or omit the property for automatic_translation and lqa_by_ai task types.

boolean

Whether the translation task items should be automatically marked as completed on edit. Must be true or omit the property for automatic_translation and lqa_by_ai task types.

string
enum
Defaults to translation

Specify if task type is translation (default), automatic_translation, lqa_by_ai or review.

Allowed:
number

If task_type is review, it can have a parent task. Current task will be opened when parent task is closed.

closing_tags
array of strings

Tags that will be added to affected keys when task is closed.

closing_tags
boolean

If set to true, will lock translations for non-assigned project members.

custom_translation_status_ids
array of strings

IDs of custom translation statuses that will be applied to task items after item is completed.

custom_translation_status_ids
boolean
Defaults to false

Save AI translations to Translation Memory. Only applicable for tasks with task_type set to automatic_translation. Defaults to false.

boolean
Defaults to false

Apply 100% translation memory matches. Only applicable for tasks with task_type set to automatic_translation. Defaults to false.

boolean
Defaults to true

Mark translations as verified. Only applicable for tasks with task_type set to automatic_translation. Defaults to true.

boolean
Defaults to false

Translate all segments including those with existing translations or TM matches. Only applicable for tasks with task_type set to automatic_translation in projects with segmentation enabled. When false, only empty segments will be translated. This parameter can only be set during task creation and cannot be modified or retrieved afterwards. Defaults to false.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json